Foxit PDF SDK

Public Member Functions | List of all members
foxit::addon::pageeditor::ParagraphEditingUndoItem Class Reference
Inheritance diagram for foxit::addon::pageeditor::ParagraphEditingUndoItem:

## Public Member Functions
| ParagraphEditingUndoItem (const ParagraphEditingUndoItem &other)
| Constructor, with another undo item object. More...
| ~ParagraphEditingUndoItem ()
| Destructor.
bool | IsEmpty () const
| Check whether current object is empty or not. More...
bool | operator!= (const ParagraphEditingUndoItem &other) const
| Not equal operator. More...
ParagraphEditingUndoItem & | operator= (const ParagraphEditingUndoItem &other)
| Assign operator. More...
bool | operator== (const ParagraphEditingUndoItem &other) const
| Equal operator. More...
void | Redo ()
| Redo this item. More...
void | Undo ()
| Undo this item. More...
Public Member Functions inherited from foxit::Base
FS_HANDLE | Handle () const
| Get the handle of current object. More...

## Detailed Description

This class represents be used to when execute undo/redo operation.

## Constructor & Destructor Documentation

## ◆ ParagraphEditingUndoItem()

foxit::addon::pageeditor::ParagraphEditingUndoItem::ParagraphEditingUndoItem | ( | const ParagraphEditingUndoItem & | other | ) |

Constructor, with another undo item object.

Parameters

  [in] | other | Another undo item object.

## Member Function Documentation

## ◆ IsEmpty()

bool foxit::addon::pageeditor::ParagraphEditingUndoItem::IsEmpty | ( |  | ) | const

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ operator!=()

bool foxit::addon::pageeditor::ParagraphEditingUndoItem::operator!= | ( | const ParagraphEditingUndoItem & | other | ) | const

Not equal operator.

Parameters

  [in] | other | Another undo item object. This function will check if current object is not equal to this one.

Returns
  true means not equal, while false means equal.

## ◆ operator=()

ParagraphEditingUndoItem& foxit::addon::pageeditor::ParagraphEditingUndoItem::operator= | ( | const ParagraphEditingUndoItem & | other | ) |

Assign operator.

Parameters

  [in] | other | Another undo item object, whose value would be assigned to current object.

Returns
  Reference to current object itself.

## ◆ operator==()

bool foxit::addon::pageeditor::ParagraphEditingUndoItem::operator== | ( | const ParagraphEditingUndoItem & | other | ) | const

Equal operator.

Parameters

  [in] | other | Another undo item object. This function will check if current object is equal to this one.

Returns
  true means equal, while false means not equal.

## ◆ Redo()

void foxit::addon::pageeditor::ParagraphEditingUndoItem::Redo | ( |  | ) |

Redo this item.

Returns
  None.

## ◆ Undo()

void foxit::addon::pageeditor::ParagraphEditingUndoItem::Undo | ( |  | ) |

Undo this item.

Returns
  None.